
ChiliProject - Bug # 437: Encoding error on Ruby 1.9 in pdf exports

Status: Closed Priority: Normal
Author: Holger Just Category:
Created: 2011-05-30 Assignee: Eric Davis
Updated: 2011-06-03 Due date:
Remote issue URL:
Affected version: unstable
Description: http://ci.chiliproject.org/job/chiliproject_unstable/DATABASE=mysql,RUBY=ruby-1.9.2-p180/51/console

Line 144 in 
"lib/redmine/export/pdf.rb":https://github.com/chiliproject/chiliproject/blob/unstable/lib/redmine/export/pdf.rb#L1
44 contains invalid UTF-8 characters which break compatibility on Ruby 1.9.

Associated revisions
2011-05-30 11:20 pm - Eric Davis
[#437] Move the encoding to the top of pdf.rb for Ruby 1.9

2011-05-31 12:11 am - Eric Davis
[#437] Move the encoding to the top of pdf.rb for Ruby 1.9

History
2011-05-30 09:01 pm - Eric Davis
The file might need to have it's encoding declared. I can't test it though because my 1.9.2 isn't working with bundler (linecache error).

2011-05-30 09:21 pm - Eric Davis
- Assignee set to Eric Davis

- Status changed from Open to Needs more information

I might have fixed this just using 1.9.2's syntax checker. Will wait for the CI to close. commit:821d9f5

2011-06-02 05:07 am - Eric Davis
- Status changed from Needs more information to Closed

Confirmed fixed in CI

2011-06-02 05:54 am - Toshi MARUYAMA
- Status changed from Closed to Open

There is no test for this issue.
We fixed on redmine after revision 5300 which chili has not yet imported.

2011-06-02 05:58 am - Toshi MARUYAMA
You have not imported our fixing.
http://www.redmine.org/projects/redmine/repository/revisions/5306

2011-06-03 12:04 am - Toshi MARUYAMA
<pre>
$ irb
ruby-1.9.2-p136 :001 > txt = "Felix SchÃ¤fer"
 => "Felix SchÃ¤fer" 
ruby-1.9.2-p136 :002 > txt.force_encoding("ASCII-8BIT")
 => "Felix Sch\xC3\xA4fer" 
ruby-1.9.2-p136 :003 > txt = txt.gsub(/[Ã¢â‚¬Å“Ã¢â‚¬ï¿½]/, '"') if txt
Encoding::CompatibilityError: incompatible encoding regexp match (UTF-8 regexp with ASCII-8BIT string)
	from (irb):3:in `gsub'
	from (irb):3
	from /home/xxxxx/.rvm/rubies/ruby-1.9.2-p136/bin/irb:16:in `<main>'
ruby-1.9.2-p136 :004 > txt.force_encoding("UTF-8")
 => "Felix SchÃ¤fer" 
ruby-1.9.2-p136 :005 > txt = txt.gsub(/[Ã¢â‚¬Å“Ã¢â‚¬ï¿½]/, '"') if txt
 => "Felix SchÃ¤fer" 

</pre>

2011-06-03 01:00 am - Toshi MARUYAMA
Toshi MARUYAMA wrote:
> There is no test for this issue.
> We fixed on redmine after revision 5300 which chili has not yet imported.

http://www.redmine.org/projects/redmine/repository/changes/trunk/test/unit/lib/redmine/export/pdf_test.rb?rev=5998

2011-06-03 03:29 pm - Eric Davis
- Status changed from Open to Closed

Toshi MARUYAMA:

This issue is not about a test failure, it was for a test error that was fixed in my commits.
